form {
    max-width: 80%;
    height: initial;
    margin: auto;
    background: none;
    border-radius: 10px;
    -webkit-box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -ms-box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -o-box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -webkit-backdrop-filter: blur(1px);
    -ms-backdrop-filter: blur(1px);
    -moz-backdrop-filter: blur(1px);
    -o-backdrop-filter: blur(1px);
    backdrop-filter: blur(1px);
    border: 3px outset rgba(255, 255, 255, 0.3);
    /*color: rgba(255, 255, 255, 0.6);*/
    font-weight: 600;
}

form > h2 {
    text-align: center;
    text-wrap: balance;
    /*color: #ffffff;
    text-shadow:
        0 0 7px #ffffff,
        0 0 10px #ffffff,
        0 0 21px #ffffff,
        0 0 42px #b60ab6,
        0 0 82px #b60ab6,
        0 0 92px #b60ab6,
        0 0 102px #b60ab6,
        0 0 151px #b60ab6;*/
}

form > label, select, input {
    margin-bottom: 2px;
    margin-left: 5px;
    display: block;
}

form > select, input {
    margin-bottom: 10px;
    margin-left: 5px;
    background: none;
    border: 2px solid rgba(0, 0, 0, 0.1);
    color: rgba(0, 0, 0, 0.6);
    font-weight: 500;
}

form > select option {
    background: none;
    /*color: black;*/
}

form > [type="radio"] {
    float: left;
    margin-left: 15px;
    margin-bottom: 15px;
}

form-radio {
    float: left;
    font-size: 12px;
}

.selector-source {
    clear: left;
    margin-left: 5px;
}

form > [type="button"], form > [type="submit"] {
    /*clear: left;*/
    /*display: block;*/
    /*float: right;*/ /* float right in flex element will be ok? */
    /*margin-right: 30%;*/
    margin: 10px auto;
    padding: 5px 10px;
    font-weight: 600;
    font-size: 120%;
    border-radius: 10px;
}

form > [type="button"]:hover, form > [type="submit"]:hover {
    cursor: pointer;
}

form > [type="button"]:active, form > [type="submit"]:active {
    /*color: #ffffff;*/
    text-shadow:
        0 0 7px #ffffff,
        0 0 10px #ffffff,
        0 0 21px #ffffff,
        0 0 42px #b60ab6,
        0 0 82px #b60ab6,
        0 0 92px #b60ab6,
        0 0 102px #b60ab6,
        0 0 151px #b60ab6;
}

#error-notification {
    padding: 10px 15px;
    clear: left;
    /*color: rgba(255, 255, 255, 0.6);*/
    font-weight: 600;
}

/* For OTP Inputs */
#otp-inputs {
    width: 90%;
    display: -webkit-flex;
    display: -ms-flex;
    display: -moz-flex;
    display: -o-flex;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -o-box;
    display: -o-flexbox;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    /*min-height: 100vh;*/
}

.input-otp {
    /*max-width: 15%;*/
    min-width: 0;
    padding: 15px 10px;
    -webkit-flex: 10%;
    -ms-flex: 10%;
    -moz-flex: 10%;
    -o-flex: 10%;
    -webkit-box: 10%;
    -moz-box: 10%;
    -ms-flexbox: 10%;
    -o-box: 10%;
    -o-flexbox: 10%;
    flex: 10%;
    border: none;
    border-bottom: 3px solid rgba(0, 0, 0, 0.5);
    /*margin: 0 10px;*/
    text-align: center;
    font-size: 23px;
    /*cursor: not-allowed;
    pointer-events: none;*/
    cursor: pointer;
    pointer-events: all;
    z-index: 2;
}

.input-otp:focus {
    border-bottom: 3px solid #D52600;
    outline: none;
}

.input-otp:nth-child(1) {
    cursor: pointer;
    pointer-events: all;
}

@media (min-width:641px) {
    .input-otp {
        -webkit-flex: 15%;
        -ms-flex: 15%;
        -moz-flex: 15%;
        -o-flex: 15%;
        -webkit-box: 15%;
        -moz-box: 15%;
        -ms-flexbox: 15%;
        -o-box: 15%;
        -o-flexbox: 15%;
        flex: 15%;
        font-size: 36px;
    }
}